Skip to main content
DELETE
/
v1
/
buildings
/
{id}
Delete a building
curl --request DELETE \
  --url https://api.yorlet.com/v1/buildings/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "building",
  "active": true,
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "country": "<string>",
    "postal_code": "<string>",
    "state": "<string>"
  },
  "currency": "<string>",
  "description": "<string>",
  "marketing": {
    "featured_photo": "<string>",
    "photos": [
      "<string>"
    ]
  },
  "name": "<string>",
  "removable": true,
  "single_unit": true,
  "type": "block_management",
  "unit_fees": {
    "management_fee": 123,
    "management_fee_amount": 123,
    "management_fee_discount": {
      "end": 123,
      "percent_off": 123
    },
    "management_fee_type": "percentage",
    "renewal_fee": 123,
    "tax": 123,
    "tax_behavior": "exclusive",
    "tenant_find_fee": 123,
    "updated_at": 123
  },
  "account": "<string>",
  "deleted": false,
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns an object with a deleted parameter on success. If the building ID does not exist, this call throws an error.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
building
active
boolean
required
address
object
required
currency
string
required
description
string | null
required
marketing
object
required
name
string
required
removable
boolean
required
single_unit
boolean
required
type
enum<string> | null
required
Available options:
block_management,
commercial,
residential,
student,
null
unit_fees
object
required
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.